"use server"
import NewUserAccess from "@/components/forms/NewUserAccess";
import { liveblocksClient } from "@/lib/liveblocksClient";
import { getUserEmail } from "@/lib/userClient";
import Link from "next/link";
import { ImBackward2 } from "react-icons/im";


type PageProps ={
    params: {
        boardId: string;
    }
}

const page = async ({params}: PageProps) => {
    const {boardId} = params;
    const boardInfo = await liveblocksClient.getRoom(boardId);
    const userEmail = await getUserEmail()
    if(!boardInfo.usersAccesses[userEmail]){
        return 'Access denied';
    }
    

  return (
    <div>
        <Link href={`/boards/${boardId}`} className="flex items-center gap-1 text-[#164863] font-semibold hover:text-[#427D9D] hover:duration-300"><ImBackward2/>Go back</Link>
        <h1 className="text-2xl">Access to {boardInfo.metadata.boardName}:</h1>
        <div className="mb-6">
        {Object.keys(boardInfo.usersAccesses).map(email => (
            <div>
                {email}
            </div>
        ))}
        </div>
        <NewUserAccess boardId = {boardId}/>
    </div>
  )
}

export default page