"use client"
import { RoomProvider } from '@/app/liveblocks.config';
import { LiveList } from '@liveblocks/client';
import { ClientSideSuspense } from '@liveblocks/react';
import Columns from './Columns';
import Link from 'next/link';
import { IoMdSettings } from "react-icons/io";


const Board = ({id, name}: {id: string, name: string}) => {

  return (
    <RoomProvider id={id} initialPresence={{}} initialStorage={
        {
            columns: new LiveList(),
            cards: new LiveList(),
        }}>
        <ClientSideSuspense fallback={(<div>Loading...</div>)}>{() => (
            <>
                <div className='flex justify-between gap-2 items-center mb-4'>
                    <div>
                        <h1 className='text-2xl'>Board: {name}</h1>
                    </div>
                    <Link href={`/boards/${id}/settings`} className='flex items-center gap-1 bg-[#427D9D] p-2 rounded-full'>
                        <IoMdSettings className='text-white text-[18px]'/>
                    </Link>
                </div>
                <Columns/>
            </>
            )}
        </ClientSideSuspense>  
    </RoomProvider>
  )
}

export default Board